# ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/32x32/apps/ubuntu-tweak.svg) [Respin RDX](https://github.com/rauldipeas/respin-rdx)

This is my personal compilation of the [**Ubuntu**](https://ubuntu.com) [_flavours_](https://ubuntu.com/desktop/flavours).

The system base is [**optimized**](https://github.com/rauldipeas/respin-rdx/blob/main/scripts/enhancements/rtcqs.sh) for multimedia content creation *(audio, video and image)*, based on the checking parameters of the [**rtcqs**](https://codeberg.org/rtcqs/rtcqs).

A few extras are included:

* ~~![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/tux.svg) [**Linux RDX**](https://github.com/rauldipeas/linux-rdx) (my personal Linux kernel build)~~
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/mintsources-ppa.svg) [**Mainline**](https://github.com/cappelikan/mainline) (updating tool for ubuntu kernel)
* ~~![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/dragonframe4.svg) [**Linux XanMod**](https://xanmod.org/) (custom Linux kernel)~~
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/devices/cpu.svg) [**CFS Zen tweaks**](https://github.com/igo95862/cfs-zen-tweaks) (task scheduler with responsiveness improvements)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/devices/media-memory.svg) [**ZSwap**](https://en.wikipedia.org/wiki/Zswap) (alternative memory manager)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/rsibreak.svg) [**nohang**](https://github.com/hakavlad/nohang) (prevent OOM)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/GPU_Viewer.svg)  [**MESA**](https://launchpad.net/~kisak/+archive/ubuntu/kisak-mesa) (latest drivers for AMD and Intel GPUs)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/mx-select-sound.svg) [**ALSA firmware**](http://ppa.launchpad.net/kxstudio-debian/libs/ubuntu/pool/main/a/alsa-firmware) (additional drivers for audio interfaces)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/qjackctl.svg) [**JACK**](https://launchpad.net/~ubuntustudio-ppa/+archive/ubuntu/backports) (low latency audio server)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/devices/audio-card.svg) [**`udev-rtirq`**](https://github.com/jhernberg/udev-rtirq) (high priority rules for audio interface management)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/synaptic.svg) [**Synaptic**](https://savannah.nongnu.org/projects/synaptic) (package manager)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/cats-are-liquid.svg) [**`nala`**](https://gitlab.com/volian/nala) (Python APT front-end)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/mimetypes/text-x-pkgbuild.svg) [**Pacstall**](https://pacstall.dev) (software repository for the Debian base, close to the Arch Linux AUR)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/places/folder-yellow-apple.svg) [**`LinuxBrew`**](https://brew.sh) (additional package manager for CLI apps)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/cronopete_preferences.svg) [**`apt-rollback`**](https://launchpad.net/apt-rollback) (tool to revert packages installed in a specific time period)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/python.svg) [**`pipx`**](https://github.com/pypa/pipx) (python package installer with isolated environments)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/timeshift.svg) [**Timeshift**](https://github.com/linuxmint/timeshift) (backup tool)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/firefox.svg) [**Firefox**](https://support.mozilla.org/pt-BR/kb/instale-o-firefox-no-linux) (internet browser, binary directly from the Mozilla website)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/thunderbird.svg) [**Thunderbird**](https://support.mozilla.org/pt-BR/kb/instale-o-thunderbird-no-linux) (e-mail client, binary directly from the Mozilla website)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/libreoffice-main.svg) [**LibreOffice**](https://launchpad.net/~libreoffice/+archive/ubuntu/ppa) (updated office suite)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/papirus-folders-gui.svg) [**Papirus**](https://github.com/PapirusDevelopmentTeam) (icon theme)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/ark.svg) [**`unrar`**](https://github.com/pmachapman/unrar) (additional support for unzipping files)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/preferences-system-windows.svg) [**Docklike**](https://github.com/nsz32/docklike-plugin) (`superbar` for XFCE panel)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/kmenuedit.svg) [**Vala Application Menu**](https://github.com/rilian-la-te/vala-panel-appmenu) (`appmenu` for XFCE panel)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/cpu-x.svg) [**CPU-X**](https://thetumultuousunicornofdarkness.github.io/CPU-X) (hardware info)
* ![](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/22x22/apps/kitty.svg) [**Kitty**](https://sw.kovidgoyal.net/kitty/) (GPU based terminal)

The scripts available in this repository are forked from scripts developed by [**Marcos Vallim**](https://github.com/mvallim/live-custom-ubuntu-from-scratch).

## Download:
[![ubuntu](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/48x48/apps/distributor-logo-ubuntu.svg "Ubuntu")![](https://img.shields.io/github/actions/workflow/status/rauldipeas/respin-rdx/ubuntu-respin-rdx.yml?branch=main&label=Ubuntu%20Respin%20RDX&logo=GitHub&style=for-the-badge "Ubuntu")](https://nightly.link/rauldipeas/respin-rdx/workflows/ubuntu-respin-rdx/main/ubuntu-respin-rdx.zip)

[![gnome-lite](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/48x48/apps/desktop-environment-gnome.svg "GNOME Lite")![](https://img.shields.io/github/actions/workflow/status/rauldipeas/respin-rdx/ugl-respin-rdx.yml?branch=main&label=Ubuntu%20GNOME%20Lite%20Respin%20RDX&logo=GitHub&style=for-the-badge "GNOME Lite")](https://nightly.link/rauldipeas/respin-rdx/workflows/ugl-respin-rdx/main/ugl-respin-rdx.zip)

[![kubuntu](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/48x48/apps/distributor-logo-kubuntu.svg "Kubuntu")![](https://img.shields.io/github/actions/workflow/status/rauldipeas/respin-rdx/kubuntu-respin-rdx.yml?branch=main&label=Kubuntu%20Respin%20RDX&logo=GitHub&style=for-the-badge "Kubuntu")](https://nightly.link/rauldipeas/respin-rdx/workflows/kubuntu-respin-rdx/main/kubuntu-respin-rdx.zip)

[![xubuntu](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/48x48/apps/desktop-environment-xfce.svg "Xubuntu")![](https://img.shields.io/github/actions/workflow/status/rauldipeas/respin-rdx/xubuntu-respin-rdx.yml?branch=main&label=Xubuntu%20Respin%20RDX&logo=GitHub&style=for-the-badge "Xubuntu")](https://nightly.link/rauldipeas/respin-rdx/workflows/xubuntu-respin-rdx/main/xubuntu-respin-rdx.zip)

[![cinnamon-lite](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/48x48/apps/preferences-desktop-theme.svg "Cinnamon Lite")![](https://img.shields.io/github/actions/workflow/status/rauldipeas/respin-rdx/ucl-respin-rdx.yml?branch=main&label=Ubuntu%20Cinnamon%20Lite%20Respin%20RDX&logo=GitHub&style=for-the-badge "Cinnamon Lite")](https://nightly.link/rauldipeas/respin-rdx/workflows/ucl-respin-rdx/main/ucl-respin-rdx.zip)

[![kdeck](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/48x48/apps/distributor-logo-steamos.svg "Kubuntu Deck")![](https://img.shields.io/github/actions/workflow/status/rauldipeas/respin-rdx/kdeck-respin-rdx.yml?branch=main&label=Kubuntu%20Deck%20Respin%20RDX&logo=GitHub&style=for-the-badge "Kubuntu Deck")](https://nightly.link/rauldipeas/respin-rdx/workflows/kdeck-respin-rdx/main/kdeck-respin-rdx.zip)

[![kavis](https://raw.githubusercontent.com/PapirusDevelopmentTeam/papirus-icon-theme/master/Papirus/48x48/devices/audio-speaker-mono-testing.svg "KAVIS")![](https://img.shields.io/github/actions/workflow/status/rauldipeas/respin-rdx/kavis-respin-rdx.yml?branch=main&label=KAVIS%20Respin%20RDX&logo=GitHub&style=for-the-badge "KAVIS")](https://nightly.link/rauldipeas/respin-rdx/workflows/kavis-respin-rdx/main/kavis-respin-rdx.zip)